Compatibilité mod et plugin



  • Bonjour,

    petite question 🙂

    J'ai créé un coffre, j'aimerais l'utiliser avec QuickShop sauf que le plugin ne capte pas l'inventaire du coffre. En gros ma pancarte ce met sur mon coffre mais le plugin ne parviens pas a lire dans le coffre afin de savoir si ce que je vend est présent dedans ou non.

    Le créateur du plugin m'a dit qu'il utilise la fonction de l'API bukkit : InventoryHolder.getInventory()
    Savez vous ce que je doit ajouter dans mon code afin de rendre compatible les deux ?

    Si vous le souhaiter je peux mettre mon code.

    En espérant que quelqu'un puisse m'aider !

    PS : je pose le sujet ici car il concerne à la fois mod et plugin.



  • On ne fait pas trop le support pour plugin ici ^^'
    Soit tu recodes tout le plugin dans ton mod, soit tu te contentes d'utiliser un coffre vanilla, qui sera normalement lu par Quickshop



  • je pense qu'utiliser le coffre vanilla est le plus simple ^^
    merci 🙂



  • Tu utilises Cauldron ? En fonction de ce sur quoi tu codes il faut agir différemment, car certaines fonctions ne sont pas présentes



  • oui je suis sous Cauldron, j'ai laissé tombé j'utilise le coffre que j'ai créé comme coffre de décoration ^^